module FastTrack
  # TODO: This should take a YAML file and merge it with the defaults!
  class Config < Hash
    # TODO: This config file should have nested information for each
    # class.. For example:
    #
    # >> config = {
    # >>   devise: {user_class: "User"}
    # >> }
    #
    # Should probably map to
    #
    # >> config.devise.user_class?
    #

    # The user class for Devise.
    # By default it's just "User"
    def user_class
      self[:user_class] || "user"
    end

    def profile_class
      self[:profile_class] || "profile"
    end

    def skip_views
      self[:skip_views] || false
    end
  end
end
