track "awesome_defaults" do
  desc "Adds better_errors, quiet_assets, rspec, factory_girl, email_spec & pry"

  gemfile do
    gem_group :development do
      gem 'better_errors'
      gem 'binding_of_caller'
      gem 'quiet_assets'
      gem 'pry'
      gem 'pry-rails'
    end

    gem_group :test do
      gem 'rspec'
      gem 'rspec-rails'
      gem 'factory_girl_rails'
      gem 'database_cleaner'
      gem 'email_spec'
      gem 'pry'
      gem 'pry-rails'
    end
  end
end
