track "guard" do
  gemfile do
    gem 'guard'
  end
end

track "awesome_guard" do
  requires "guard"

  desc "Use Guard with RSpec, Jasmine & livereload"

  gemfile do
    gem 'guard-rspec'
    gem 'guard-jasmine'
    gem 'guard-livereload'
  end

  def template_directory
    "guard_awesome_defaults"
  end

  def guard_file
    read_file("Guardfile")
  end
end
